#
# Conditional build:
%bcond_without	openmp	# OpenMP support
#
Summary:	LAL Simulation library
Summary(pl.UTF-8):	Biblioteka LAL Simulation
Name:		lal-simulation
Version:	3.0.0
Release:	3
License:	GPL v2+
Group:		Libraries
Source0:	http://software.ligo.org/lscsoft/source/lalsuite/lalsimulation-%{version}.tar.xz
# Source0-md5:	1790f203ca631fa93dc69bddcd19d055
Patch0:		%{name}-env.patch
Patch1:		no-Werror.patch
URL:		https://wiki.ligo.org/DASWG/LALSuite
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	gsl-devel >= 1.13
BuildRequires:	lal-devel >= 6.18.0
%{?with_openmp:BuildRequires:	libgomp-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	octave-devel >= 1:3.2.0
BuildRequires:	pkgconfig
BuildRequires:	python3-devel
BuildRequires:	python3-numpy-devel
BuildRequires:	swig >= 3.0.12
BuildRequires:	swig-python >= 2.0.12
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	gsl >= 1.13
Requires:	lal >= 6.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LAL wrapping of the Simulation LIGO_LW XML library.

%description -l pl.UTF-8
Obudowanie LAL do biblioteki Simulation LILO_LW XML.

%package devel
Summary:	Header files for lal-simulation library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lal-simulation
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lal-devel >= 6.18.0

%description devel
Header files for lal-simulation library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki lal-simulation.

%package static
Summary:	Static lal-simulation library
Summary(pl.UTF-8):	Statyczna biblioteka lal-simulation
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lal-simulation library.

%description static -l pl.UTF-8
Statyczna biblioteka lal-simulation.

%package -n octave-lalsimulation
Summary:	Octave interface for LAL Simulation
Summary(pl.UTF-8):	Interfejs Octave do biblioteki LAL Simulation
Group:		Applications/Math
Requires:	%{name} = %{version}-%{release}
Requires:	octave-lal >= 6.18.0

%description -n octave-lalsimulation
Octave interface for LAL Simulation.

%description -n octave-lalsimulation -l pl.UTF-8
Interfejs Octave do biblioteki LAL Simulation.

%package -n python3-lalsimulation
Summary:	Python bindings for LAL Simulation
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki LAL Simulation
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-lal >= 6.18.0
Requires:	python3-modules >= 1:2.6

%description -n python3-lalsimulation
Python bindings for LAL Simulation.

%description -n python3-lalsimulation -l pl.UTF-8
Wiązania Pythona do biblioteki LAL Simulation.

%prep
%setup -q -n lalsimulation-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I gnuscripts
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_openmp:--disable-openmp} \
	--enable-swig
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblalsimulation.la

install -d $RPM_BUILD_ROOT/etc/shrc.d
%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/*sh $RPM_BUILD_ROOT/etc/shrc.d

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_bindir}/lalsim-*
%attr(755,root,root) %{_bindir}/lalsimulation_version
%attr(755,root,root) %{_libdir}/liblalsimulation.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblalsimulation.so.29
%{_datadir}/lalsimulation
/etc/shrc.d/lalsimulation-user-env.csh
/etc/shrc.d/lalsimulation-user-env.fish
/etc/shrc.d/lalsimulation-user-env.sh
%{_mandir}/man1/lalsim*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblalsimulation.so
%{_includedir}/lal/LALSim*.h
%{_includedir}/lal/SWIGLALSimulation*.h
%{_includedir}/lal/SWIGLALSimulation*.i
%{_includedir}/lal/swiglalsimulation.i
%{_pkgconfigdir}/lalsimulation.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblalsimulation.a

%files -n octave-lalsimulation
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/octave/*/site/oct/*/lalsimulation.oct

%files -n python3-lalsimulation
%defattr(644,root,root,755)
%dir %{py3_sitedir}/lalsimulation
%attr(755,root,root) %{py3_sitedir}/lalsimulation/_lalsimulation.so
%{py3_sitedir}/lalsimulation/*.py
%{py3_sitedir}/lalsimulation/__pycache__
%dir %{py3_sitedir}/lalsimulation/nrfits
%{py3_sitedir}/lalsimulation/nrfits/*.py
%{py3_sitedir}/lalsimulation/nrfits/__pycache__
%dir %{py3_sitedir}/lalsimulation/tilts_at_infinity
%{py3_sitedir}/lalsimulation/tilts_at_infinity/*.py
%{py3_sitedir}/lalsimulation/tilts_at_infinity/__pycache__
%changelog
* Mon Mar 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lal-simulation.git;a=log;h=master

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 2c0ce2e
- Release 3 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 71f0da1
- rebuild with python 3.10

* Sat Dec 04 2021 Jan Rękorajski <baggins@pld-linux.org> 54c2346
- up to 3.0.0

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> e7204bb
- up to 1.9.1

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 7b38de8
- new

